package pay

import (
	"fmt"
	"log"
	"testing"
)

func TestClient_GetUserInfo(t *testing.T) {

	c, err := NewClient()
	if err != nil {
		t.Error(err)
	}

	req := CreateComplaintUploadRequest()

	req.MchId = "3503"
	req.ImageUrl = "https://img-blog.csdnimg.cn/20201014180756925.png?x-oss-process=image/resize,m_fixed,h_64,w_64"

	resp, err := c.ComplaintUpload(req)
	if err != nil {
		log.Fatalln(err)
	}
	fmt.Println(resp.GetHttpContentString())
	fmt.Println(resp.GetHttpHeaders())
}
